{{> _header }}
{{> _navbar }}

<div class="parallax background--elephant">
    <div class="parallax__block--center">
        <span class="block--dark text--large text--wide" id="potato">MAGICAL JOE</span>
    <!-- Rediscover the Web -->
    </div>
</div>

<div class="block--dark" style="min-height: 360px;">
  <!-- classes should work here -->
    <h1 id="hatGuideText" class="ui header text--center text--white">
        ~ ~ Let the Hat guide you ~ ~ <br />
    </h1>

    <img id="hatImage" src="assets/role_three.png" class="block--centered" />

    <h3 id="chatBotText1" class="ui header text--center text--white">
        Magical Joe is a chat bot, implemented across various platforms <a href="#">See our Platform List</a>
    </h3>

    <h3 id="chatBotText2" class="ui header text--center text--white">
        There are various commands/listeners that can analyze text and images, type !help in a channel with the bot!
    </h3>

    <h3 id="chatBotText3" class="ui header text--center text--white">
        It also analyzes data for various games to display helpful information. <a href="#">See our Games List</a>
    </h3>
</div>

<div class="parallax background--role" style="background-size: auto; background-repeat: repeat;"></div>

<div class="block--dark">
  <!-- TODO: Turn this into some generic css class-->
    <div id="run" style="margin-top: 10px; margin-bottom: 10px;" class="text--center text--large ui">
        Run while you still can
    </div>
    <div id="welcome" style="margin-top: -30px; margin-bottom: 10px;" class="text--center text--large ui">
        Welcome friend
    </div>
</div>

<script>
    $(window).on("pageshow", function() {
        let createLetters = (e, klass) =>
            e.html(e.text().replace(/([^ ])/g, `<div class='letter ${klass}''>$&</div>`));

        let transitionLetters = (id, offset=0, transition='swing left', duration=2000) =>
            setTimeout(() =>
                $(`#${id} .letter`).each((i, e) => {
                    setTimeout(() => $(e).transition(transition), Math.floor(Math.random() * duration))
                }),
            offset);

        let setupTransitionElement = (e, offset=0, transition="fade", duration=3000) => e.visibility({
            onOffScreen: c => e.addClass("transition hidden"),
            onTopVisible: c => setTimeout(() => e.transition({animation: transition, duration: duration}), offset)
        });

        let hat = $("#hatGuideText");
        let hatImage = $("#hatImage");

        setupTransitionElement(hat);
        setupTransitionElement(hatImage, 1000, "swing left");
        [1, 2, 3].forEach(i => setupTransitionElement($(`#chatBotText${i}`), 2000 * i));


        let run = $("#run");
        createLetters(run, "");
        createLetters($("#welcome"), "transition hidden");

        run.visibility({onTopVisible: c => ["run", "welcome"].forEach(e => transitionLetters(e, 1000))});
    });
</script>

<style>
    .letter { display: inline-block !important; }
</style>

{{> _footer}}